From 019fd57f70297d216c6b80b89112307db994b74e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tim=20R=C3=BChsen?= <tim.ruehsen@gmx.de>
Date: Tue, 9 Apr 2019 16:58:18 +0200
Subject: [PATCH 3/3] Manually create idn2_cmd.c and idn2_cmd.h due to idn2.ggo

diff -ru goo_before/src/idn2_cmd.h goo/src/idn2_cmd.h
--- goo_before/src/idn2_cmd.h	2020-03-17 23:09:46.872000000 +0800
+++ goo/src/idn2_cmd.h	2020-03-17 23:07:45.844000000 +0800
@@ -1,9 +1,9 @@
 /** @file idn2_cmd.h
  *  @brief The header file for the command line option parser
- *  generated by GNU Gengetopt version 2.22.6
+ *  generated by GNU Gengetopt version 2.23
  *  http://www.gnu.org/software/gengetopt.
  *  DO NOT modify this file, since it can be overwritten
- *  @author GNU Gengetopt by Lorenzo Bettini */
+ *  @author GNU Gengetopt */
 
 #ifndef IDN2_CMD_H
 #define IDN2_CMD_H
@@ -50,6 +50,8 @@
   const char *no_tr46_help; /**< @brief Disable TR46 processing help description.  */
   int usestd3asciirules_flag;	/**< @brief Enable STD3 ASCII rules (default=off).  */
   const char *usestd3asciirules_help; /**< @brief Enable STD3 ASCII rules help description.  */
+  int no_alabelroundtrip_flag;	/**< @brief Disable ALabel roundtrip for lookups (default=off).  */
+  const char *no_alabelroundtrip_help; /**< @brief Disable ALabel roundtrip for lookups help description.  */
   int debug_flag;	/**< @brief Print debugging information (default=off).  */
   const char *debug_help; /**< @brief Print debugging information help description.  */
   int quiet_flag;	/**< @brief Silent operation (default=off).  */
@@ -64,11 +66,12 @@
   unsigned int tr46nt_given ;	/**< @brief Whether tr46nt was given.  */
   unsigned int no_tr46_given ;	/**< @brief Whether no-tr46 was given.  */
   unsigned int usestd3asciirules_given ;	/**< @brief Whether usestd3asciirules was given.  */
+  unsigned int no_alabelroundtrip_given ;	/**< @brief Whether no-alabelroundtrip was given.  */
   unsigned int debug_given ;	/**< @brief Whether debug was given.  */
   unsigned int quiet_given ;	/**< @brief Whether quiet was given.  */
 
-  char **inputs ; /**< @brief unamed options (options without names) */
-  unsigned inputs_num ; /**< @brief unamed options number */
+  char **inputs ; /**< @brief unnamed options (options without names) */
+  unsigned inputs_num ; /**< @brief unnamed options number */
 } ;
 
 /** @brief The additional parameters to pass to parser functions */
